---
search:
  tags:
    - servers
    - GET
seo:
  description: >-
    Returns every registered server with its state. Set live to read the…
    Reference for the GET /api/v1/servers endpoint in the TimescaleDB Enterprise
    API.
  noindex: true
sidebar:
  label: List servers
  badge: GET
title: List servers
type: openapi-operation
---
Returns every registered server with its state. Set live to read the reachability of each server now.

`GET /api/v1/servers`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
[
  {
    "cleaning_up": true,
    "cleanup_error": "string",
    "cleanup_kind": "deploy_refusal",
    "cleanup_pending": true,
    "cleanup_since": "string",
    "created_at": "string",
    "database_services": [
      {
        "database_service_id": "string",
        "database_service_name": "string",
        "role": "string"
      }
    ],
    "demo": true,
    "enroll_state": "pending",
    "headscale_node_id": "string",
    "health": {
      "checked_at": "2019-08-24T14:15:22Z",
      "notes": [
        {
          "cause": "unreachable",
          "component": "reachability",
          "message": "string",
          "since": "2019-08-24T14:15:22Z",
          "status": "healthy"
        }
      ],
      "reason": "string",
      "since": "2019-08-24T14:15:22Z",
      "status": "healthy"
    },
    "host": "string",
    "id": "string",
    "in_use": true,
    "livesync_sessions": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "name": "string",
    "overlay_ip": "string",
    "port": 0,
    "reachable": true,
    "rebuild_pending": true,
    "retry_cleanup_refusal": "string",
    "slots": [
      {
        "kind": "database_service",
        "member_name": "string",
        "owner_name": "string"
      }
    ],
    "ssh_user": "string",
    "state": "in_use"
  }
]
```
